#include "cs.h"
#include "text.h"
#include <unistd.h> // sleep()

int main ()
{
    try{
	Server srv( 7000 );
	srv.RegisterType( new Text( "", "" ) );
	
	    //* stay active until the last client logged out **
	bool begin = true;
	while( begin || srv.NumClients() ) {
	    srv.ProcessRequests();
	     
	    if( begin && srv.NumClients() )
		begin = false;
	     
	     sleep( 1 ); // leave some CPU time to other processes :-)
	}
    }
    catch( Exception& e ) { 
	cout << e;
	return -1;
    }
    catch(...) {
	cout << "server: unhandled exception occured!";
	return -2;
    }
    
    return 0;
}
